Fine Tuning Controls

The Fine Tuning controls make sure that your denoising gets rid of blotchiness without losing image detail. The three sliders change depending upon whether Video or Film mode is selected in the Advanced Settings> Footage Source pop-up.

• For Video, the noise algorithm and noise identification work in Luma and Chroma channels.
• For Film, the options change to Red, Green and Blue channels.

If you change the Video option to Film, the Fine Tuning choices will change.

Fine Details

This setting is present for both Footage Source options. The slider lets you introduce some fine noise back into the image as the level of detail is increased. Each value represents a percentage of the noise that is hidden.

Lower values reduce the noise. A value of 0 gives almost 100% noise reduction. Higher values introduce more noise, giving less noise reduction. A value of 2 gives 80% noise reduction, and a value of 5 gives 50% noise reduction.

Luma Offset

Luma Offset increases the amount of noise reduction in the Luma channel, which is the black and white channel. Default value is 0%. Value range is 0 to 200%. The higher the value, the more noise reduction that occurs in the Luma channel.

It works relative to the Noise Reduction control as its value is added to the Noise Reduction amount. Setting this Offset to 40% when Noise Reduction is at 100% means the Luma noise reduction level is at 140%. Similarly, if this Offset is at -20% when Noise Reduction is at 100%, then the Luma noise reduction level is at 80%.

Chroma Offset

Chroma Offset increases the amount of noise reduction in the Chroma channels, which are the color channels. Default value is 0%. Value range is 0 to 200%. The higher the value, the more noise reduction that occurs in the Chroma channel.

It works relative to the Noise Reduction control as its value is added to the Noise Reduction amount. Setting this Offset to 40% when Noise Reduction is at 100% means the Chroma noise reduction level is at 140%. Similarly, if this Offset is at -20% when Noise Reduction is at 100%, then the Chroma noise reduction level is at 80%.

To reduce the appearance of color speckles, it is best to increase this Chroma control instead of increasing the overall Noise Reduction factor.

Workflow Note: There is no way to view the Luma and Chroma Offset values in Denoiser. In After Effects, however, you can use the built-in Channel Combiner filter. Choose the filter from Effect> Channel> Channel Combiner. Set the From pop-up channel to RB to YUV mode. Then go to After Effects' View RGBA mode pop-up. When you look at the Green channel (= U) or Blue channel (= V), you are seeing the Chroma Offset. If you look at the Red channel (=Y), you're looking at the Luma Offset or luminance output.

Chroma Smoothing

This control allows Denoiser to deal with compression artifacts in the Chroma component. Chroma Smoothing looks at the Chroma channels and smooths based on scale.

Default value is 10%. Value range is 0 to 100%. Each percentage increase smooths out the color channels a bit more. The trick is always to find the right setting that preserves fine details, like hair, while removing blotchiness.

A default of 2.0 should work in most situations. However, if your compression artifacts (like blocking) persist after denoising, you might want to increase this value. Increasing Chroma Smoothing gives much smoother color gradations over the image. Decreasing it retains more blockiness or mosquito noise in the Chroma component.

Red Offset, Green Offset, Blue Offset

These controls appear when the Footage Source is set to Film instead of Video. The Film mode should only be used in certain situations; read about when to use the Film option.

These Offsets increase the amount of noise reduction in Red, Green or Blue channels. Default value is 0%. Value range is 0 to 200%. The higher the value, the more noise reduction that occurs in the Red, Green or Blue channel.

Workflow Tip: To view the Red, Green or and Blue Offset values in Denoiser, use the host application's RGBA View option.

Left to right, the Blue channel before and after Denoiser, shown in After Effects.

Value range for Offset sliders

The Luma, Chroma and RGB sliders change relative to the Noise Reduction value. The Offset sliders change their value range based on the value of noise reduction. This 'offsetting' ensures that the noise reduction always stays within the 0 to 300% range. The Fine Tuning> Offset sliders have the same relationship to Noise Reduction.

For instance, if Noise Reduction is at 100%, then the Offsets can't add more than 200% or take away more than 100%. If Noise Reduction changes to 80%, then Offset can add 220% or take away 80%. This make the Noise Reduction control the centerpoint value for the other controls, which keeps you from overcorrecting the shadows and highlights. There is no valid number outside of 0 and 300, which keeps Denoiser from doing a maximum amount of smoothing. A value of 0 = 0% noise correction. A value of 300 = 300% smoothing of the noise signal. You can't go beyond that amount of smoothing for the Luma, Chroma or RGB channels.

At left, when Noise Reduction is 100%, the three Offset ranges are -100 to 200%.
In middle, when Noise Reduction is 180%, the three Offset ranges are -180 to 120%.
At right, when Noise Reduction is 180% and Luma Offset is changed to 50%, the Offset still keeps its value range based on the Noise Reduction setting.